Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Macros
chacha.cpp File Reference
`#include <botan/chacha.h>`
`#include <botan/loadstor.h>`
`#include <botan/cpuid.h>`

Go to the source code of this file.

## Namespaces
| Botan

## Macros
#define | CHACHA_QUARTER_ROUND(a, b, c, d)

## Macro Definition Documentation

#define CHACHA_QUARTER_ROUND | ( |  | a,
|  |  | b,
|  |  | c,
|  |  | d
| ) |  |

Value:
do { \
a += b; d ^= a; d = rotate_left(d, 16); \
c += d; b ^= c; b = rotate_left(b, 12); \
a += b; d ^= a; d = rotate_left(d, 8); \
c += d; b ^= c; b = rotate_left(b, 7); \
} while(0)
Botan::rotate_left
T rotate_left(T input, size_t rot)
Definition: rotate.h:21